public class DoubleLinkedListTest {
    public static void main(String... args) {
        DoubleLinkedList list = new DoubleLinkedList();
      boolean exceptionThrown = false;
        try {
            list.removeFirst();
        } catch (EmptyListException e) {
            exceptionThrown = true;
        }

        System.out.println(  "Exception was thrown: "
                           + (exceptionThrown? "yes" : "no")
                           + " (should be yes)");

        exceptionThrown = false;
        try {
            list.removeLast();
        } catch (EmptyListException e) {
            exceptionThrown = true;
        }

        System.out.println(  "Exception was thrown: "
                           + (exceptionThrown? "yes" : "no")
                           + " (should be yes)");
   

        list.addLast(5.0);
        list.addFirst(4.0);
        list.addLast(6.0);
        list.addFirst(3.0);
        list.addLast(7.0);
        list.addFirst(2.0);
        list.addLast(8.0);
        list.addFirst(1.0);
        list.addLast(9.0);
        list.addFirst(0.0);

        System.out.println("list-size: " + list.size() + " (should be 10)");
        System.out.println("All values:");
        while (!list.isEmpty()) {
            System.out.println(list.removeFirst());
            System.out.println(list.removeLast());
        }
        System.out.println("list-size: " + list.size() + " (should be 0)");
    }
}